GETDTABLEMAX(2)

NAME
getdtablemax - get maximum in-use descriptor table index

SYNOPSIS
getdtablemax()

DESCRIPTION
Each process has a fixed size descriptor table which is guaranteed to hold at least 20 entries. The entries in the descriptor table are numbered with small integers starting at zero. The getdtablemax call returns the highest in-use index of this table. The system guarantees that descriptor table indices greater than getdtablemax and less than getdtablesize are not in use by the calling process.

SEE ALSO
close(2), dup(2), open(2), getdtablesize(2), setdtablesize(2)